# EffectI

# Class hierarchy

DataBlockI
EditableI
EffectI

# Overview

Plaaplaaplapl aplspl plsp a

Fig 1. The hierarchy of a demo in Demopaja architecture.

Header: | EffectI.h
Library: | core.lib

# Class members

`virtual void set_name( const char* szName );`

#### Parameters

szName
  A NULL terminated string containing the new name of the effect.

#### Return value

None.

#### Remarks

Sets the name of the effect. It is not necessary to overload this member.

#### Example

Copyright © 2000 Moppi Productions